<?php

namespace Treewec\HTML;

/**
 * Test class for Attribute.
 * Generated by PHPUnit on 2012-09-03 at 13:16:07.
 * @group html
 */
class AttributeTest extends \PHPUnit_Framework_TestCase {

    /** @var Attribute */
    private $validInstance;
    /** @var Attribute */
    private $invalidInstance;

    protected function setUp() {
        $this->validInstance = new Attribute('class', 'selected');
        $this->invalidInstance = new Attribute(array(), null);
    }

    public function testIsValid() {
        parent::assertTrue($this->validInstance->isValid());
        parent::assertFalse($this->invalidInstance->isValid());
    }

    public function test__toString() {
        parent::assertEquals('class="selected"', $this->validInstance->__toString());
        parent::assertEquals('', $this->invalidInstance->__toString());
    }

}

?>
